
import React from 'react';
import Icon from 'react-icon-base';

const SlCalculator = props => (
    <Icon viewBox="0 0 1024 1024" {...props}>
        <g><path transform="scale(1, -1) translate(0, -960)" d="M960 960.096h-896c-35.1836 0 -64 -28.8164 -64 -64v-896.192c0 -35.1836 28.8164 -64 64 -64h896c35.1836 0 64 28.8164 64 64v896.192c0 35.1836 -28.8164 64 -64 64zM960 -0.0966797h-896v896.192h896v-896.192zM224 607.695h64v-64c0 -17.6641 14.3359 -32 32 -32 s32 14.3359 32 32v64h64c17.6641 0 32 14.3359 32 32s-14.3359 32 -32 32h-64v64c0 17.6641 -14.3359 32 -32 32s-32 -14.3359 -32 -32v-64h-64c-17.6641 0 -32 -14.3359 -32 -32s14.3359 -32 32 -32zM433.136 368.848 c-12.4961 12.4961 -32.752 12.4971 -45.248 0.000976562l-67.8877 -67.8721l-67.8877 67.8721c-12.4961 12.4961 -32.752 12.4961 -45.2637 0c-12.4961 -12.4961 -12.4961 -32.7686 0 -45.2646l67.8721 -67.8721l-67.8721 -67.8721 c-12.4961 -12.4961 -12.4961 -32.7686 0 -45.2646s32.752 -12.4961 45.2637 0l67.8877 67.8564l67.8877 -67.8721c12.4961 -12.4961 32.752 -12.4961 45.248 0s12.4961 32.7686 0 45.2646l-67.8721 67.8721l67.8721 67.8721c12.4961 12.5117 12.4961 32.7676 0 45.2793z M608 607.696h192c17.6641 0 32 14.3359 32 32s-14.3359 32 -32 32h-192c-17.6641 0 -32 -14.3359 -32 -32s14.3359 -32 32 -32zM608 287.696h192c17.6641 0 32 14.3359 32 32s-14.3359 32 -32 32h-192c-17.6641 0 -32 -14.3359 -32 -32s14.3359 -32 32 -32zM608 159.696h192 c17.6641 0 32 14.3359 32 32s-14.3359 32 -32 32h-192c-17.6641 0 -32 -14.3359 -32 -32s14.3359 -32 32 -32z"/></g>
    </Icon>
);

export default SlCalculator;
